hpe-inventory
- POST /hpe-inventory/bios
Get HPE BIOS Settings
Returns current BIOS settings and allowed values from HPE iLO
- Request JSON Object:
bmc_ip (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
502 Bad Gateway – BMC/Redfish error
- Response JSON Object:
bios_options[].allowed_values[] (string)
bios_options[].attribute_name (string)
bios_options[].current_value (string)
bios_options[].description (string)
bios_options[].key (string)
bios_settings (object)
- POST /hpe-inventory/bios/patch
Patch HPE BIOS Attributes
Updates BIOS attributes on HPE iLO
- Request JSON Object:
attributes (object) – (required)
bmc_ip (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
502 Bad Gateway – BMC/Redfish error
- POST /hpe-inventory/bios/pending
Get HPE Pending BIOS Attributes
Returns pending BIOS changes on HPE iLO
- Request JSON Object:
bmc_ip (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
502 Bad Gateway – BMC/Redfish error
- Response JSON Object:
message (string)
pending_attributes (object)
status (string)
- POST /hpe-inventory/bios/restart
HPE Graceful Restart
Triggers a graceful restart on HPE iLO system.
- Request JSON Object:
bmc_ip (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
404 Not Found – BMC credentials not found in DB
502 Bad Gateway – BMC/Redfish error
- Response JSON Object:
message (string)
status (string)
- POST /hpe-inventory/collect
Collect HPE System Inventory
Returns system information from HPE iLO Redfish endpoint.
- Request JSON Object:
bmc_ip (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
404 Not Found – BMC credentials not found in DB
502 Bad Gateway – BMC/Redfish error
- POST /hpe-inventory/firmware/recover
Recover HPE from Firmware Deadlock
Executes a 5-step recovery sequence to recover from firmware deadlock: eject media, force off, patch boot, remount ISO, power on
- Request JSON Object:
bmc_ip (string) – (required)
control_node_ip (string) – (required)
iso_file (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
404 Not Found – BMC credentials not found in DB
502 Bad Gateway – BMC/Redfish error
- Response JSON Object:
message (string)
note (string)
status (string)
steps[] (string)
- POST /hpe-inventory/firmware/update
HPE Firmware Update
Mounts SPP ISO via HPE iLO Redfish and triggers firmware update via auto-run on reboot.
- Request JSON Object:
bmc_ip (string) – (required)
control_node_ip (string) – (required)
password (string)
spp_file (string) – (required)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
404 Not Found – BMC credentials not found in DB
502 Bad Gateway – BMC/Redfish error
- Response JSON Object:
message (string)
note (string)
status (string)
steps[] (string)
- POST /hpe-inventory/iso/mount
Mount ISO and Boot (HPE)
Mounts a custom ISO via HPE iLO Redfish and triggers boot.
- Request JSON Object:
bmc_ip (string) – (required)
control_node_ip (string) – (required)
iso_file (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
404 Not Found – BMC credentials not found in DB
502 Bad Gateway – BMC/Redfish error
- Response JSON Object:
message (string)
status (string)
steps[] (string)
- POST /hpe-inventory/poweraction
HPE Power Action
Triggers a power action via Redfish for HPE iLO.
- Request JSON Object:
bmc_ip (string) – (required)
password (string)
reset_type (string) – (required)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
404 Not Found – BMC credentials not found in DB
502 Bad Gateway – BMC/Redfish error
- Response JSON Object:
message (string)
status (string)
- POST /hpe-inventory/powerstate
Get HPE Power State
Returns current power state and available power control options for HPE iLO.
- Request JSON Object:
bmc_ip (string) – (required)
include_options (boolean)
password (string)
username (string)
- Status Codes:
200 OK – OK
400 Bad Request – Invalid request
404 Not Found – BMC credentials not found in DB
502 Bad Gateway – BMC/Redfish error
- GET /hpe-inventory/powerstate/sse
HPE Power State SSE
Streams current power state via Server-Sent Events connection for HPE iLO.
- POST /hpe-inventory/virtualmedia/check
Check HPE Virtual Media Status
Check if virtual media is currently inserted on HPE iLO
- Request JSON Object:
bmc_ip (string) – (required)
password (string)
username (string)
- Status Codes:
200 OK – OK
- Response JSON Object:
media.description (string)
media.id (string)
media.image_name (string)
media.image_uri (string)
media.inserted (boolean)
media.media_types[] (string)
media.name (string)
message (string)
status (string)
- POST /hpe-inventory/virtualmedia/eject
Eject HPE Virtual Media
Eject virtual media from HPE iLO
- Request JSON Object:
bmc_ip (string) – (required)
media_id (string) – Optional, defaults to VirtualMedia/2 (CD/DVD slot)
password (string)
username (string)
- Status Codes:
200 OK – OK
- Response JSON Object:
message (string)
status (string)